package fr.jelora.teleinformationedf.db.hibernate;

import org.apache.log4j.Logger;
import org.hibernate.SessionFactory;
import org.hibernate.cfg.AnnotationConfiguration;
import org.hibernate.cfg.Configuration;

public class HibernateUtil {
	
	final static Logger logger = Logger.getLogger(HibernateUtil.class);
 
    public SessionFactory buildSessionFactory(String serveur, String bdd, String identifiant, String motDePasse) {
        try {
        	Configuration configHibernate = new AnnotationConfiguration();
        	configHibernate.configure("hibernate.cfg.xml");
        	configHibernate.setProperty("hibernate.connection.url", "jdbc:mysql://" + serveur + ":3306/" + bdd + "?autoReconnect=true&useUnicode=yes&characterEncoding=UTF-8");
        	configHibernate.setProperty("hibernate.connection.username", identifiant);
        	configHibernate.setProperty("hibernate.connection.password", motDePasse);
            return configHibernate.configure().buildSessionFactory();
 
        }
        catch (Throwable ex) {
        	logger.error("Initial SessionFactory creation failed." + ex);
            throw new ExceptionInInitializerError(ex);
        }
    }
 
}